import oscP5.*;
import netP5.*;

OscP5 oscP5;
NetAddress myRemoteLocation;

int ZAHL  = 0;
int BLAU  = 0;
int GRUEN = 0;
int ROT   = 0;

public void setup()
{
  size(400,400);
  frameRate(60);
  /* start oscP5, listening for incoming messages at port 12000 */
  oscP5 = new OscP5(this,12000);

  //Empfängeradresse hier angeben, oder Broadcast,
  //Broadcast bei performance ist: 
  //   192.168.178.255
  //   prüfen mit ifconfig
  myRemoteLocation = new NetAddress("192.168.178.255",12000);
}


public void draw()
{
    int z = ZAHL;
    BLAU = ((z/1)%2)*255;
    GRUEN = ((z/2)%2)*255;
    ROT = ((z/4)%2)*255;
    background(ROT,GRUEN,BLAU); 
}

public void mousePressed()
{
      ZAHL++;
      ZAHL%=8;
      
      OscMessage myMessage = new OscMessage("/kutsche");  
      myMessage.add(new int[] {ROT,GRUEN,BLAU}); /* add an int array to the osc message */
      oscP5.send(myMessage, myRemoteLocation); 
      
}